petsc-3.7.1 2016-05-15
Report Typos and Errors

# DMPlexRestoreFaceGeometry

Restore the field values values for a chunk of faces

### Synopsis

    #include "petscdmplex.h"
    #include "petscsnes.h"
    PetscErrorCode DMPlexRestoreFaceGeometry(DM dm, PetscInt fStart, PetscInt fEnd, Vec faceGeometry, Vec cellGeometry, PetscFVFaceGeom **fgeom, PetscReal **vol)

### Input Parameters

| dm | - The DM Many br
| fStart | - The first face to include Many br
| fEnd | - The first face to exclude Many br
| faceGeometry | - A local vector with face geometry Many br
| cellGeometry | - A local vector with cell geometry Many br

### Output Parameters

| fgeom | - The extract the face centroid and normal Many br
| vol | - The cell volume Many br

Many br

### See Also

DMPlexGetFaceFields()

Level:developer
Location:src/snes/utils/dmplexsnes.c
Index of all SNES routines
Table of Contents for all manual pages
Index of all manual pages